Bug 729992 - SELinux is preventing /bin/bash from 'getattr' accesses on the file /lib/systemd/system/ntpd.service.
Summary: SELinux is preventing /bin/bash from 'getattr' accesses on the file /lib/syst...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 16
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:56a7b5d90ed0ce44d33ae26d7af...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-11 13:44 UTC by Michal Nowak
Modified: 2013-03-08 02:12 UTC (History)
4 users (show)

Fixed In Version: selinux-policy-3.10.0-18.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-23 20:26:00 UTC


Attachments (Terms of Use)

Description Michal Nowak 2011-08-11 13:44:53 UTC
abrt version: 2.0.5
executable:     /usr/bin/python
hashmarkername: setroubleshoot
kernel:         3.0.1-3.fc16.x86_64
reason:         SELinux is preventing /bin/bash from 'getattr' accesses on the file /lib/systemd/system/ntpd.service.
time:           Thu Aug 11 15:44:12 2011

description:
:SELinux is preventing /bin/bash from 'getattr' accesses on the file /lib/systemd/system/ntpd.service.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that bash should be allowed getattr access on the ntpd.service file by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep service /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:gnomeclock_t:s0-s0:c0.c1023
:Target Context                system_u:object_r:ntpd_unit_file_t:s0
:Target Objects                /lib/systemd/system/ntpd.service [ file ]
:Source                        service
:Source Path                   /bin/bash
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           bash-4.2.10-4.fc16
:Target RPM Packages           ntp-4.2.6p3-5.fc16
:Policy RPM                    selinux-policy-3.10.0-15.fc16
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.0.1-3.fc16.x86_64 #1 SMP Mon Aug 8
:                              18:13:59 UTC 2011 x86_64 x86_64
:Alert Count                   1
:First Seen                    Thu 11 Aug 2011 03:43:49 PM CEST
:Last Seen                     Thu 11 Aug 2011 03:43:49 PM CEST
:Local ID                      ae105eca-8ba1-4b04-a822-e975f1003c35
:
:Raw Audit Messages
:type=AVC msg=audit(1313070229.571:64): avc:  denied  { getattr } for  pid=1540 comm="service" path="/lib/systemd/system/ntpd.service" dev=dm-1 ino=15415 scontext=system_u:system_r:gnomeclock_t:s0-s0:c0.c1023 tcontext=system_u:object_r:ntpd_unit_file_t:s0 tclass=file
:
:
:type=SYSCALL msg=audit(1313070229.571:64): arch=x86_64 syscall=stat success=no exit=EACCES a0=b51370 a1=7fff0f788280 a2=7fff0f788280 a3=8 items=0 ppid=1538 pid=1540 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=service exe=/bin/bash subj=system_u:system_r:gnomeclock_t:s0-s0:c0.c1023 key=(null)
:
:Hash: service,gnomeclock_t,ntpd_unit_file_t,file,getattr
:
:audit2allow
:
:#============= gnomeclock_t ==============
:allow gnomeclock_t ntpd_unit_file_t:file getattr;
:
:audit2allow -R
:
:#============= gnomeclock_t ==============
:allow gnomeclock_t ntpd_unit_file_t:file getattr;
:

Comment 1 Daniel Walsh 2011-08-11 15:39:27 UTC
Fixed in selinux-policy-3.10.0-19.fc16

Comment 2 Fedora Update System 2011-08-11 20:35:03 UTC
selinux-policy-3.10.0-18.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-18.fc16

Comment 3 Fedora Update System 2011-08-12 04:22:25 UTC
Package selinux-policy-3.10.0-18.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-18.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-18.fc16
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2011-08-23 20:25:31 UTC
selinux-policy-3.10.0-18.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.